import type { InboundTransporter, Agent, TransportSession, WireMessage } from '@aries-framework/core';
import type { Express, Request, Response } from 'express';
export declare class HttpInboundTransport implements InboundTransporter {
    readonly app: Express;
    private port;
    private server?;
    constructor({ app, port }: {
        app?: Express;
        port: number;
    });
    start(agent: Agent): Promise<void>;
    stop(): Promise<void>;
}
export declare class HttpTransportSession implements TransportSession {
    id: string;
    readonly type = "http";
    req: Request;
    res: Response;
    constructor(id: string, req: Request, res: Response);
    send(wireMessage: WireMessage): Promise<void>;
}
